For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI ReferenceWebhooks Reference
DocumentationAPI ReferenceWebhooks Reference
  • Ingest Reference
  • Main Reference
      • GETGet a list of documents
      • GETGet document info
      • GETGet document ocr info
      • GETGet document plain ocr text
      • PUTUpdate document information
      • PUTChange the type of a document
      • PUTChange the publicState of a document
LogoLogo
Main ReferenceDocuments

Get document info

GET
https://api.invofox.com/documents/:id
GET
/documents/:id
1const url = 'https://api.invofox.com/documents/id';
2const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}
1{
2 "_id": "52543ec6d13ac7000bb90823",
3 "company": "54aadbb7e79e2aba5d25f3e3",
4 "clientData": {},
5 "type": "invoice",
6 "name": "Invoice_INVCZ4761199.pdf",
7 "isGroundTruth": false,
8 "creation": "2022-04-11T14:44:22.785Z",
9 "images": [
10 "https://kinequo.blob.core.windows.net/midas/invoices/images/63f34163e8a7430008b38007-1.png",
11 "https://kinequo.blob.core.windows.net/midas/invoices/images/63f34163e8a7430008b38007-2.png",
12 "https://kinequo.blob.core.windows.net/midas/invoices/images/63f34163e8a7430008b38007-3.png",
13 "https://kinequo.blob.core.windows.net/midas/invoices/images/63f34163e8a7430008b38007-4.png",
14 "https://kinequo.blob.core.windows.net/midas/invoices/images/63f34163e8a7430008b38007-5.png",
15 "https://kinequo.blob.core.windows.net/midas/invoices/images/63f34163e8a7430008b38007-6.png"
16 ],
17 "original": "https://kinequo.blob.core.windows.net/midas/invoices/originals/52543ec6d13ac7000bb90823?st=2022-04-29T07%3A16%3A58Z&se=2022-04-29T07%3A46%3A58Z&sp=r&sv=2018-03-28&sr=b&sig=%2FmjG8fY516G2E5qrKhGhg269uuNdq94CJKznssYYxDvI%3D",
18 "mimetype": "application/pdf",
19 "data": {
20 "currency": {
21 "value": "EUR",
22 "confidence": 1
23 },
24 "language": {
25 "value": "es",
26 "confidence": 1
27 },
28 "isCreditNote": {},
29 "numberFormat": {
30 "value": [
31 ".,"
32 ],
33 "confidence": 1
34 },
35 "seriesCode": {
36 "value": "",
37 "confidence": 0
38 },
39 "invoiceRef": {
40 "value": "",
41 "confidence": 0
42 },
43 "taxClass": {
44 "value": "IGIC",
45 "confidence": 1
46 },
47 "issuerCountry": {
48 "value": "ES",
49 "confidence": 1
50 },
51 "recipientCountry": {
52 "value": "ES",
53 "confidence": 0.9909
54 },
55 "issuerAddressDetails": {
56 "value": {
57 "text": "Avenida de América 115, 28042, Alameda de Osuna, Madrid, Comunidad de Madrid, ESP",
58 "addressNumber": "115",
59 "country": "ES",
60 "municipality": "Madrid",
61 "neighborhood": "Alameda de Osuna",
62 "postalCode": "28042",
63 "region": "Comunidad de Madrid",
64 "street": "Avenida de América",
65 "subRegion": "Madrid"
66 },
67 "confidence": 1
68 },
69 "recipientAddressDetails": {
70 "value": {
71 "text": "Calle de Bravo Murillo 102, 28020, Cuatro Caminos, Madrid, Comunidad de Madrid, ESP",
72 "addressNumber": "102",
73 "country": "ES",
74 "municipality": "Madrid",
75 "neighborhood": "Cuatro Caminos",
76 "postalCode": "28020",
77 "region": "Comunidad de Madrid",
78 "street": "Calle de Bravo Murillo",
79 "subRegion": "Madrid"
80 },
81 "confidence": 0.9909
82 },
83 "exchangeRate": {},
84 "companyActsLike": {
85 "value": "recipient",
86 "confidence": 1
87 },
88 "incoterms": {
89 "confidence": 0
90 },
91 "bankSortCode": {
92 "confidence": 0
93 },
94 "bankAccountNumber": {
95 "confidence": 0
96 },
97 "bankRoutingNumber": {
98 "confidence": 0
99 },
100 "bankAccountName": {
101 "confidence": 0
102 },
103 "paymentTerms": {
104 "confidence": 0
105 },
106 "additionalData": [
107 {
108 "_id": {
109 "$oid": "63f341716985fe00080a925f",
110 "values": {}
111 }
112 }
113 ],
114 "additionalDataMode": "global",
115 "lines": {
116 "group": {
117 "value": "",
118 "confidence": 0
119 },
120 "identifier": {
121 "value": "",
122 "confidence": 0
123 },
124 "description": {
125 "value": "Vodafone One Ilimitada Super (Fibra 600Mb) (681166545 - 912873472) Jun. a 21 Jul.)",
126 "confidence": 1
127 },
128 "date": {
129 "confidence": 0
130 },
131 "quantity": {
132 "value": 0.82,
133 "confidence": 1
134 },
135 "unitOfMeasurement": {
136 "value": "",
137 "confidence": 0
138 },
139 "grossUnitPrice": {
140 "value": 70.24,
141 "confidence": 1
142 },
143 "taxBaseUnitPrice": {
144 "confidence": 0
145 },
146 "totalUnitPrice": {
147 "confidence": 0
148 },
149 "discountAmount": {
150 "confidence": 0
151 },
152 "discountRate": {
153 "confidence": 0
154 },
155 "taxRate": {
156 "value": 21,
157 "confidence": 0.7125
158 },
159 "taxAmount": {
160 "value": 12.15,
161 "confidence": 0.85625
162 },
163 "taxBaseAmount": {
164 "value": 57.84,
165 "confidence": 1
166 },
167 "totalAmount": {
168 "value": 69.99,
169 "confidence": 0.928125
170 },
171 "grossAmount": {
172 "confidence": 0
173 },
174 "feesAmount": {
175 "confidence": 0
176 },
177 "feesRate": {
178 "confidence": 0
179 }
180 },
181 "breakdowns": {
182 "taxRate": {
183 "value": 21,
184 "confidence": 0.7916666666666666
185 },
186 "taxBaseAmount": {
187 "value": 99.56,
188 "confidence": 0.7916666666666666
189 },
190 "taxAmount": {
191 "value": 20.91,
192 "confidence": 0.7916666666666666
193 },
194 "totalAmount": {
195 "value": 120.47,
196 "confidence": 0.7916666666666666
197 },
198 "grossAmount": {
199 "value": 99.56,
200 "confidence": 0.7916666666666666
201 },
202 "RERate": {
203 "value": 0,
204 "confidence": 0.7916666666666666
205 },
206 "REAmount": {
207 "value": 0,
208 "confidence": 0.7916666666666666
209 },
210 "discountBaseAmount": {
211 "value": 0,
212 "confidence": 0.7916666666666666
213 },
214 "discountAmount": {
215 "value": 0,
216 "confidence": 0.7916666666666666
217 },
218 "discountRate": {
219 "value": 0,
220 "confidence": 0.7916666666666666
221 },
222 "feesBaseAmount": {
223 "value": 0,
224 "confidence": 0.7916666666666666
225 },
226 "feesAmount": {
227 "value": 0,
228 "confidence": 0.7916666666666666
229 },
230 "feesRate": {
231 "value": 0,
232 "confidence": 0.7916666666666666
233 }
234 },
235 "dues": {
236 "date": {
237 "value": "2023-01-31",
238 "confidence": 1
239 },
240 "amount": {
241 "confidence": 0
242 }
243 },
244 "IBAN": {},
245 "SWIFT": {},
246 "additionalNotes": {
247 "confidence": 0
248 },
249 "totalDueAmount": {
250 "value": 120.47,
251 "confidence": 0.7916666666666666
252 },
253 "clientCode": {
254 "confidence": 0
255 },
256 "contractRef": {
257 "confidence": 0
258 },
259 "deliveryNoteRef": {
260 "confidence": 0
261 },
262 "documentNumber": {
263 "value": "ZI20-002898113",
264 "confidence": 1
265 },
266 "documentReference": {},
267 "documentSeries": {
268 "confidence": 0
269 },
270 "documentType": {
271 "value": "normal",
272 "confidence": 1
273 },
274 "additionalChargesAmount": {
275 "value": 0,
276 "confidence": 0.7916666666666666
277 },
278 "additionalDiscountsAmount": {
279 "value": 0,
280 "confidence": 0.7916666666666666
281 },
282 "issueDate": {
283 "value": "2023-01-31",
284 "confidence": 1
285 },
286 "issuerAddress": {
287 "value": "Avenida de América 115, 28042, Madrid",
288 "confidence": 1
289 },
290 "issuerEmail": {
291 "confidence": 0
292 },
293 "issuerFax": {
294 "confidence": 0
295 },
296 "issuerName": {
297 "value": "VODAFONE SERVICIOS SLU",
298 "confidence": 0.9318181818181819
299 },
300 "issuerPhoneNumber": {
301 "confidence": 0
302 },
303 "issuerTaxId": {
304 "value": "ESB87539284",
305 "confidence": 0.9318181818181819
306 },
307 "issuerWebsite": {
308 "value": "vodafone.es",
309 "confidence": 1
310 },
311 "legalNotes": {
312 "confidence": 0
313 },
314 "orderRef": {
315 "confidence": 0
316 },
317 "paymentMethod": {
318 "value": "Domiciliación bancaria",
319 "confidence": 1
320 },
321 "recipientAddress": {
322 "value": "CL BRAVO MURILLO 102 2º IZ 28020 MADRID MADRID España",
323 "confidence": 1
324 },
325 "recipientEmail": {
326 "confidence": 0
327 },
328 "recipientFax": {
329 "confidence": 0
330 },
331 "recipientName": {
332 "value": "KINEQUO SL",
333 "confidence": 1
334 },
335 "recipientPhoneNumber": {
336 "confidence": 0
337 },
338 "shippingAddress": {
339 "confidence": 0
340 },
341 "recipientTaxId": {
342 "value": "ESB87334876",
343 "confidence": 1
344 },
345 "recipientWebsite": {
346 "confidence": 0
347 },
348 "withholdingTaxAmount": {
349 "value": 0,
350 "confidence": 0.7916666666666666
351 },
352 "withholdingTaxRate": {
353 "value": 0,
354 "confidence": 0.7916666666666666
355 },
356 "totalGrossAmount": {
357 "value": 99.56,
358 "confidence": 0.7916666666666666
359 },
360 "reimbursableExpensesAmount": {
361 "value": 0,
362 "confidence": 0.7916666666666666
363 },
364 "totalTaxBaseAmount": {
365 "value": 99.56,
366 "confidence": 0.7916666666666666
367 },
368 "totalAmount": {
369 "value": 120.47,
370 "confidence": 0.7916666666666666
371 },
372 "totalDiscountAmount": {
373 "value": 0,
374 "confidence": 0.7916666666666666
375 },
376 "totalFeesAmount": {
377 "value": 0,
378 "confidence": 0.7916666666666666
379 },
380 "totalTaxAmount": {
381 "value": 20.91,
382 "confidence": 0.7916666666666666
383 },
384 "serviceAddress": {
385 "values": "",
386 "confidence": 0
387 },
388 "supplyNumber": {
389 "value": 0,
390 "confidence": 0
391 },
392 "meterNumber": {
393 "value": 0,
394 "confidence": 0
395 },
396 "totalUsage": {
397 "value": "0,",
398 "confidence": 0
399 },
400 "usageUnitOfMeasurement": {
401 "value": 0,
402 "confidence": 0
403 },
404 "readings": {
405 "previous": {
406 "value": 0,
407 "confidence": 0
408 },
409 "current": {
410 "value": 0,
411 "confidence": 0
412 },
413 "usage": {
414 "value": 0,
415 "confidence": 0
416 }
417 }
418 },
419 "publicState": "approved",
420 "confidence": "high",
421 "validationInfo": {
422 "errors": []
423 },
424 "approvalInfo": {
425 "beginning": "2024-01-15T09:30:00Z",
426 "result": "approved",
427 "steps": []
428 },
429 "import": {},
430 "exports": [],
431 "deleted": true
432}
Was this page helpful?
Previous

Get document ocr info

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

idstringRequired
id of the document to retrieve

Response

Get documento info
_idstringformat: "DocumentId"
accountstringformat: "AccountId"
Account the document belongs to.
environmentstringformat: "EnvironmentId"
Environment the document belongs to.
companystringformat: "CompanyId"
Company the document belongs to.
creatorstringformat: "UserId"
User that uploaded the document
clientDataobject

“Additional data to be added to each document. Must be an object or an array of objects. If data to be specified to each document is different, this parameter should have the following format: [ \{ _filename: \<name of the file to which attach this data>, <key>: <value> }, ... \{ _filename: \<name of the file to which attach this data>, <key>: <value> } ].”

typeenum
Allowed values:
namestring
Original name of the uploaded file
isGroundTruthboolean

Indicates the document is marked as Ground Truth (GT)

creationstringformat: "date-time"
Upload timestamp
imageslist of strings

Array of Azure Storage URLs (SAS) to access the document extracted images

originalstringformat: "URL"

Azure Storage URL (SAS) to access the original file

mimetypestring
datamap from strings to any
Extracted document data. Structure varies by document type.
publicStateenumDefaults to processing
confidenceenum
Allowed values:
processInfoobject
validationInfoobject
approvalInfoobject
importobject
exportslist of objects
geometryobject
deletedboolean
Indicates whether the document has been logically deleted
duplicatedbooleanDeprecated

Errors

400
Bad Request Error
410
Gone Error
429
Too Many Requests Error
500
Internal Server Error